Subject: Re: help needed for debugging segfault
From: Norbert Wegener <[email-masked]>
To: FreeRadius users mailing list <[email-masked]>
Date: Tue, 22 Nov 2005 14:49:53 +0100
List-Id: FreeRadius users mailing list <freeradius-users.lists.freeradius.org>

Artur Hecker wrote:
> hi
>
>
>> I've installed freeradius 1.1.0 from cvs and I'm doing EAP-PEAP using
>> ntlm_auth for authentication. freeradius segfaults while sending the
>> access-accept packet.
>>
>> In my first post someone instructed me to enable coredumps in  
>> freeradius
>> and post the result.
>
> just a thought - wouldn't it be principally the same to run  
> freeradius in the gdb and to backtrace (bt) after gdb catches sigsegv?
I suppose, I have reported the same problem a few minutes ago.  I ran 
radiusd under gdb and put the backtrace at 
http://www.wegener-net.de/fr/bt.txt. The configuration files are in the 
same directory.

Norbert

>
> ciao
> artur
>
>
>> I've compiled freeradius using --enable-developer, set  allow_core_dumps
>> = yes in radiusd.conf and used ulimit to remove coredump filesize  limit
>> from my shell, but it seems freeradius still doesn't dump core.
>>
>> The radius server is a Debian testing box. The Wi-Fi accesspoint is a
>> D-Link DWL-2100AP.
>>
>> Is there anything else I can do? Is this a freeradius issue or an OS
>> issue?
>>
>>
>> thanks
>>
> - List info/subscribe/unsubscribe? See 
> http://www.freeradius.org/list/users.html

- 
List info/subscribe/unsubscribe? See http://www.freeradius.org/list/users.html